package rocks.zipcode.io.quiz3.arrays;

import java.util.stream.IntStream;

/**
 * @author leon on 09/12/2018.
 */
public class TicTacToe {

    String[][] board;

    public TicTacToe(String[][] board) {
        this.board = board;

    }

    public String[] getRow(Integer value) {

        String [] row = board[value];

        return row;

    }

    public String[] getColumn(Integer value) {

        String[] column = new String[board[0].length];
        for(int i = 0; i < column.length; i++){
            column[i] = board[i] [value];
        }

        return column;

    }

    public Boolean isRowHomogenous(Integer rowIndex) {
        String [] row =getRow(rowIndex);

        for(int i = 0; i < row.length; i++)
            if(row[i] == row[i])
                return true;


        return false;
    }

    public Boolean isColumnHomogeneous(Integer columnIndex) {

        String[] column = getColumn(columnIndex);

        for(int i = 0; i < column.length; i++)
            if(column[i] == column[i])
                return true;

            return false;
    }

    public String getWinner() {

        String winner = "";
        for(int row =0; row< board.length; row++){
            for(int column = 0; row < board[row].length; column++){
                if(isRowHomogenous(row) == true && isColumnHomogeneous(column) ){
                   winner = board[row] [column];


                }
            }
        }

//         if(isRowHomogenous(0) == true || isRowHomogenous(0) == true)
//             return String.valueOf(i);
        return winner;
    }
}
